## console-setup 1.104

=== debian/changelog ===
console-setup (1.104) unstable; urgency=low

  * Use nepali keymap for Nepali and Tharu by default

  [ Updated translations ]
  * Bosnian (bs.po) by Amila Valjevčić
  * Hungarian (hu.po) by Judit Gyimesi
  * Slovak (sk.po) by Ivan Masár

 -- Christian Perrier <bubulle@debian.org>  Tue, 10 Dec 2013 14:49:33 +0100

console-setup (1.103) unstable; urgency=low

  [ Updated translations ]
  * Galician (gl.po) by Jorge Barreiro
  * Simplified Chinese (zh_CN.po) by YunQiang Su

 -- Christian Perrier <bubulle@debian.org>  Fri, 08 Nov 2013 22:14:09 +0100

console-setup (1.102) unstable; urgency=low

  [ Updated translations ]
  * Danish (da.po) by Joe Hansen
  * Spanish (es.po) by Javier Fernández-Sanguino
  * Latvian (lv.po) by Rūdolfs Mazurs

 -- Christian Perrier <bubulle@debian.org>  Sun, 13 Oct 2013 14:57:17 +0200

console-setup (1.101) unstable; urgency=low

  [ Updated translations ]
  * Arabic (ar.po) by Ossama Khayat
  * Bulgarian (bg.po) by Damyan Ivanov
  * German (de.po) by Holger Wansing
  * Greek, Modern (1453-) (el.po) by galaxico
  * Esperanto (eo.po) by Felipe Castro
  * French (fr.po) by Christian Perrier
  * Croatian (hr.po) by Tomislav Krznar
  * Italian (it.po) by Milo Casagrande
  * Japanese (ja.po) by Kenshi Muto
  * Kazakh (kk.po) by Baurzhan Muftakhidinov
  * Kannada (kn.po) by Prabodh C P (FSMK Localisation Team)
  * Malayalam (ml.po) by Anish Sheela
  * Marathi (mr.po) by sampada
  * Bokmål, Norwegian (nb.po) by Hans Fredrik Nordhaug
  * Polish (pl.po) by Michał Kułach
  * Tajik (tg.po) by Victor Ibragimov
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Turkish (tr.po) by Mert Dirik
  * Uyghur (ug.po) by Abduqadir Abliz
  * Ukrainian (uk.po) by Yuri Chornoivan
  * Traditional Chinese (zh_TW.po) by Yao Wei (魏銘廷)

 -- Christian Perrier <bubulle@debian.org>  Sat, 05 Oct 2013 19:37:09 +0200

console-setup (1.100) unstable; urgency=low

  [ Christian Perrier ]
  * Add Tibetan keyboard layout for D-I. Closes: #667056

  [ Samuel Thibault ]
  * Make Tibetan keyboard understood as non-latin layout.

  [ Christian Perrier ]
  * Add Tajik as keymap choice for D-I

  [ Updated translations ]
  * Japanese (ja.po) by Kenshi Muto
  * Slovak (sk.po) by Ivan Masár
  * Tajik (tg.po) by Victor Ibragimov
  * Thai (th.po) by Theppitak Karoonboonyanan

 -- Christian Perrier <bubulle@debian.org>  Thu, 19 Sep 2013 07:00:34 +0200

console-setup (1.99) unstable; urgency=low

  [ Updated translations ]
  * Tajik (tg.po) by Victor Ibragimov

 -- Christian Perrier <bubulle@debian.org>  Sat, 14 Sep 2013 15:01:43 +0200

console-setup (1.98) unstable; urgency=low

  * Re-upload with more informative changelog. The change below was
    added in 1.97. Closes: #722069

  [ Updated translations ]
  * Tajik (tg.po) by Victor Ibragimov

 -- Christian Perrier <bubulle@debian.org>  Sun, 08 Sep 2013 15:39:08 +0200

console-setup (1.97) unstable; urgency=low

  * -

 -- Christian Perrier <bubulle@debian.org>  Fri, 06 Sep 2013 22:38:19 +0200

console-setup (1.96) unstable; urgency=low

  [ Updated translations ]
  * Tajik (tg.po) by Victor Ibragimov

 -- Christian Perrier <bubulle@debian.org>  Fri, 06 Sep 2013 18:49:55 +0200

console-setup (1.95) unstable; urgency=low

  * Set default keymap for Tajik

  [ Updated translations ]
  * Tajik (tg.po) by Victor Ibragimov

 -- Christian Perrier <bubulle@debian.org>  Fri, 16 Aug 2013 11:03:49 +0200

console-setup (1.94) unstable; urgency=low

  [ Dmitrijs Ledkovs ]
  * Set debian source format to '3.0 (native)'.
  * Bump debhelper compat level to 9.
  * Set Vcs-* to canonical format.

 -- Christian Perrier <bubulle@debian.org>  Sat, 13 Jul 2013 12:24:32 +0200

console-setup (1.93) unstable; urgency=low

  [ Samuel Thibault ]
  * Do not fail keyboard configuration on hurd console not running.

  [ Updated translations ]
  * Croatian (hr.po) by Tomislav Krznar

 -- Christian Perrier <bubulle@debian.org>  Sun, 12 May 2013 19:17:40 +0200

console-setup (1.92) unstable; urgency=low

  [ Anton Zinoviev ]
  * keyboard-configuration.config: when in d-i properly update $STATE
    during the missing variant question.  This was causing an endless
    loop.  Thanks to Brian Potkin, closes: #697449.

 -- Christian Perrier <bubulle@debian.org>  Sat, 30 Mar 2013 11:32:22 +0100

console-setup (1.91) unstable; urgency=low

  * A wrong command in keyboard-configuration.config was breaking the
    configuration of almost all non-Latin languages.  Thanks to Theppitak
    Karoonboonyanan, closes: #697255.  Due to the way console-setup works,
    this version will fix automatically the damage caused by the previous
    version in /etc/default/keyboard.

 -- Anton Zinoviev <zinoviev@debian.org>  Thu, 03 Jan 2013 19:53:08 +0200

console-setup (1.90) unstable; urgency=low

  [ Cyril Brulebois ]
  * Keyboard/xmlreader: Register the hwList tag as an ignored one, just
    like vendor is ignored already, which lets us get rid of a spurious
    warning in the build log (thanks, Holger & jenkins). Closes: #696754.

  [ Anton Zinoviev ]
  * Proofreading of debian/keyboard-configuration.config.  Make the file a
    little more readable with more comments.  Some changes in the logic.
    This probably fixes the important part of #693485.  Thanks to Bob Bib.

 -- Anton Zinoviev <zinoviev@debian.org>  Tue, 01 Jan 2013 19:27:29 +0200

console-setup (1.89) unstable; urgency=low

  * Team upload.

  [ Updated translations ]
  * Marathi (mr.po) typo.

  * keyboard-configuration.config: Add support for preseeding xkb-keymap.
    Closes: Bug#696188.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 26 Dec 2012 00:37:02 +0100

=== debian/control ===
Source: console-setup
Section: utils
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Anton Zinoviev <zinoviev@debian.org>, Christian Perrier <bubulle@debian.org>
Build-Depends-Indep: xkb-data (>= 1.6), locales-all, sharutils
Build-Depends: perl, debhelper (>= 9), po-debconf, libxml-parser-perl, bdfresize, liblocale-gettext-perl
Standards-Version: 3.9.1
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=d-i/console-setup.git
Vcs-Git: git://anonscm.debian.org/d-i/console-setup.git

Package: keyboard-configuration
Section: utils
Architecture: all
Depends: ${misc:Depends}, liblocale-gettext-perl, initscripts
Pre-Depends: debconf (>= 1.5.34)
Breaks: console-setup (<< 1.71), console-setup-mini (<< 1.47)
Replaces: console-setup (<< 1.47), console-setup-mini (<< 1.47)
Description: system-wide keyboard preferences
 This package maintains the keyboard preferences in
 /etc/default/keyboard.  Other packages can use the information
 provided by this package in order to configure the keyboard on the
 console or in X Window.

Package: console-setup
Section: utils
Architecture: all
Pre-Depends: debconf (>= 1.5.34)
Depends: console-setup-linux | console-setup-freebsd, xkb-data (>= 0.9), keyboard-configuration (= ${source:Version}), ${misc:Depends}
Suggests: lsb-base (>= 3.0-6), locales
Conflicts: console-setup-mini
Breaks: lsb-core (<< 2.0-6), lsb (<< 2.0-6), lsb-base (<< 3.0-6)
Description: console font and keymap setup program
 This package provides the console with the same keyboard
 configuration scheme as the X Window System. As a result, there is no
 need to duplicate or change the keyboard files just to make simple
 customizations such as the use of dead keys, the key functioning as
 AltGr or Compose key, the key(s) to switch between Latin and
 non-Latin mode, etc.
 .
 The package also installs console fonts supporting many of the
 world's languages.  It provides an unified set of font faces - the
 classic VGA, the simplistic Fixed, and the cleaned Terminus,
 TerminusBold and TerminusBoldVGA.

Package: console-setup-mini
Section: utils
Priority: extra
Architecture: all
Recommends: kbd | console-tools
Depends: console-setup-linux | console-setup-freebsd, debconf (>= 0.5) | debconf-2.0, keyboard-configuration (= ${source:Version}), ${misc:Depends}
Suggests: lsb-base (>= 3.0-6)
Conflicts: console-setup
Breaks: lsb-core (<< 2.0-6), lsb (<< 2.0-6), lsb-base (<< 3.0-6)
Description: console font and keymap setup program - reduced version for Linux
 This package provides the console with the same keyboard
 configuration scheme as the X Window System. As a result, there is no
 need to duplicate or change the keyboard files just to make simple
 customizations such as the use of dead keys, the key functioning as
 AltGr or Compose key, the key(s) to switch between Latin and
 non-Latin mode, etc.
 .
 This package can be useful for handhelds or other devices with small
 storage space.

Package: console-setup-linux
Section: utils
Priority: optional
Architecture: all
Depends: kbd (>= 0.99-12) | console-tools (>= 1:0.2.3-16), keyboard-configuration (= ${source:Version}), ${misc:Depends}
Suggests: console-setup
Breaks: console-terminus, console-cyrillic (<= 0.9-11), console-setup (<< 1.71)
Replaces: console-terminus, console-setup (<< 1.71)
Provides: console-terminus
Description: Linux specific part of console-setup
 This package includes fonts in psf format and definitions of various
 8-bit charmaps.

Package: console-setup-freebsd
Section: utils
Priority: optional
Architecture: all
Depends: vidcontrol, kbdcontrol, keyboard-configuration (= ${source:Version}), ${misc:Depends}
Suggests: console-setup
Breaks: console-setup (<< 1.71)
Replaces: console-setup (<< 1.71)
Description: FreeBSD specific part of console-setup
 This package includes raw, uuencoded fonts and various screen maps.

Package: bdf2psf
Section: utils
Priority: optional
Architecture: all
Depends: perl, ${misc:Depends}
Description: font converter to generate console fonts from BDF source fonts
 This package provides a command-line converter that can be used in
 scripts to build console fonts from BDF sources automatically. The
 converter comes with a collection of font encodings that cover many
 of the world's languages. The output font can use a different
 character encoding from the input. When the source font does not
 define a glyph for a particular symbol in the encoding table, that
 glyph position in the console font is not wasted but used for another
 symbol.
 .
 When deciding about the position in the font for a particular glyph,
 the converter takes into account that in text video modes the video
 adapter copies the eighth column of the glyph matrix of symbols
 positioned in the pseudographic area to the ninth column. In order to
 create fonts for text video modes, the width of the glyph matrix of
 the source BDF font should be seven, eight, or nine pixels; otherwise the
 converter creates fonts suitable for framebuffer only.

Package: console-setup-udeb
Section: debian-installer
Priority: extra
Depends: archdetect, cdebconf-udeb, kbd-udeb | kbdcontrol-udeb | hurd-udeb, ${misc:Depends}
Provides: keyboard-setup
Architecture: all
Description: Configure the keyboard
 Keyboard configurator for Debian Installer based on console-setup
Package-Type: udeb
XB-Installer-Menu-Item: 1200

Package: console-setup-amiga-ekmap
Provides: console-setup-ekmap
Section: debian-installer
Priority: extra
Depends: ${misc:Depends}
Architecture: all
Description: encoded Linux keyboard layouts for Amiga keyboards
Package-Type: udeb

Package: console-setup-ataritt-ekmap
Provides: console-setup-ekmap
Section: debian-installer
Priority: extra
Depends: ${misc:Depends}
Architecture: all
Description: encoded Linux keyboard layouts for Atari TT keyboards
Package-Type: udeb

Package: console-setup-macintoshold-ekmap
Provides: console-setup-ekmap
Section: debian-installer
Priority: extra
Depends: ${misc:Depends}
Architecture: all
Description: encoded Linux keyboard layouts for old-style Macintosh keyboards
Package-Type: udeb

Package: console-setup-pc-ekmap
Provides: console-setup-ekmap
Section: debian-installer
Priority: extra
Depends: ${misc:Depends}
Architecture: all
Description: encoded Linux keyboard layouts for PC keyboards
Package-Type: udeb

Package: console-setup-sun4-ekmap
Provides: console-setup-ekmap
Section: debian-installer
Priority: extra
Depends: ${misc:Depends}
Architecture: all
Description: encoded Linux keyboard layouts for Sun4 keyboards
Package-Type: udeb

Package: console-setup-sun5-ekmap
Provides: console-setup-ekmap
Section: debian-installer
Priority: extra
Depends: ${misc:Depends}
Architecture: all
Description: encoded Linux keyboard layouts for Sun5 keyboards
Package-Type: udeb

Package: console-setup-pc-ekbd
Provides: console-setup-ekmap
Section: debian-installer
Priority: extra
Depends: ${misc:Depends}
Architecture: all
Description: encoded FreeBSD keyboard layouts for PC keyboards
Package-Type: udeb

Package: console-setup-linux-fonts-udeb
Section: debian-installer
Priority: extra
Depends: ${misc:Depends}, kbd-udeb
Architecture: all
Description: Linux console fonts for Debian Installer
Package-Type: udeb

Package: console-setup-freebsd-fonts-udeb
Section: debian-installer
Priority: extra
Depends: ${misc:Depends}
Architecture: all
Description: FreeBSD console fonts for Debian Installer
Package-Type: udeb

Package: console-setup-linux-charmaps-udeb
Section: debian-installer
Priority: extra
Depends: ${misc:Depends}
Architecture: all
Description: Linux 8-bit charmaps for console-setup-udeb
Package-Type: udeb

Package: console-setup-freebsd-charmaps-udeb
Section: debian-installer
Priority: extra
Depends: ${misc:Depends}
Architecture: all
Description: FreeBSD 8-bit charmaps for console-setup-udeb
Package-Type: udeb

## console-setup 1.108ubuntu14

=== debian/changelog ===
console-setup (1.108ubuntu14) xenial; urgency=medium

  * keyboard_present.sh: Quiet config/postinst when we have no USB devices.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 12 Apr 2016 13:15:05 -0600

console-setup (1.108ubuntu13) xenial; urgency=medium

  * debian/keyboard-configuration.config: run grep with -a (to deal with files
    as ASCII data) when searching for keyboard, locale, and layout names.
    (LP: #1549529)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Mon, 04 Apr 2016 13:47:04 -0400

console-setup (1.108ubuntu12) xenial; urgency=medium

  * No-change rebuild to properly generate console-setup-udeb's list of
    valid keyboard layouts and variants.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 24 Mar 2016 10:50:39 -0400

console-setup (1.108ubuntu11) xenial; urgency=medium

  * Add ConditionPathExists=/dev/tty0 to the console-setup.service, to
    avoid running the unit on platforms without virtual consoles,
    e.g. s390x. LP: #1552733

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 03 Mar 2016 14:41:05 +0000

console-setup (1.108ubuntu10) xenial; urgency=medium

  * debian/rules: Drop obsolete and no-op dh_installinit --upstart-only
    option. (LP: #1519228)
  * Add debian/keyboard-configuration.links to (statically) enable
    console-setup.service. It is not being pulled in by plymouth any more, and
    doing so was brittle and unexpected. (LP: #1531442)
  * console-setup.service: Set RemainAfterExit.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 11 Jan 2016 15:02:09 +0100

console-setup (1.108ubuntu9) wily; urgency=medium

  * Cherry-pick fix from git for udpkg/Hurd noise in keyboard-configuration.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 20 Oct 2015 12:51:36 +0100

console-setup (1.108ubuntu8) wily; urgency=medium

  * Properly handle setting XKBVARIANT when using keyboard detection.
    (LP: #1506551)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 19 Oct 2015 11:13:01 +0100

console-setup (1.108ubuntu7) wily; urgency=medium

  * Fix incorrect versioning change from last upload; initramfs-tools
    0.85eubuntu12 looks wrong but was in fact correct.
  * If the locale is C during configuration, only set CHARMAP to ISO-8859-15
    on kFreeBSD; otherwise restore the previous behaviour from before the
    kFreeBSD port of using UTF-8 in that case (LP: #1484101).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 02 Oct 2015 11:18:04 +0100

console-setup (1.108ubuntu6) wily; urgency=medium

  * debian/control: allow dracut to be installable by adding an alternate
    depends on linux-initramfs-tool for console-setup.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 08 Sep 2015 22:36:52 -0400

console-setup (1.108ubuntu5) vivid; urgency=medium

  * Reinstate checking for XKBLAYOUT being in the config file: this handles
    the cases where installs done with ubiquity don't have their debconf seen
    flag set for model/layout questions. If layout is already configure, lower
    the corresponding question's priority to medium so we don't ask it again.
    (LP: #1446231)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 21 Apr 2015 17:19:21 -0400

console-setup (1.108ubuntu4) vivid; urgency=medium

  * Add systemd unit for console-setup. That avoids waiting for $remote_fs
    during early boot. (Note: there is no need to enable it, it gets pulled
    in through systemd-vconsole-setup.service) (LP: #1430280)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 11 Mar 2015 15:33:49 +0100

console-setup (1.108ubuntu3) vivid; urgency=medium

  * Drop console-setup-freebsd; it's useless and uninstallable given that we
    don't have a freebsd port.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 03 Mar 2015 10:15:31 -0500

console-setup (1.108ubuntu2) vivid; urgency=medium

  * Fix the mess I made with the previous upload:
  * Reinstate changelog entry from 1.70ubuntu10; the changes aren't necessary
    as keyboard-configuration does get the translated names of keyboards.
  * Reinstate changes from 1.70ubuntu11:
    - Make debian/keyboard-configuration.console-setup.init do the same as the
      corresponding .upstart: I. e. just call loadkeys instead of setupcon, and
      don't check the current console. (Font loading is already done via udev
      rules).

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 02 Mar 2015 17:55:46 -0500

console-setup (1.108ubuntu1) vivid; urgency=medium

  [ Steve Langasek ]
  * Merge from Debian unstable, remaining changes: (LP: #1426721)
    - Don't gzip font or ACM files in /etc/console-setup/.  The space saving
      is negligible, and it's more efficient not to need to uncompress them
      at boot time.
    - Include pc105.tree for ubiquity.
    - Move boot tasks to a combination of two udev rules and a single
      Upstart job, ensuring that they're run at points when we are able to
      satisfy the constraints on the relevant ioctls.
    - Stop running debconf-updatepo on clean.
    - Set keymap and font in the initramfs if possible and sensible.
    - Add an apport hook.
    - Use keymapper to generate decision trees for a restricted subset of
      the pc105 model.
    - Depend on kbd (>= 1.15-1ubuntu3) for a valuable loadkeys improvement.
    - Include support for translated keyboard names.
    - Depend on debconf instead of pre-depending, because pre-depends have
      no effect on config scripts.
    - debian/vtrgb, debian/vtrgb.vga,
      debian/console-setup-linux.setvtrgb.upstart, debian/rules,
      debian/console-setup-linux.postinst: use Ubuntu's virtual terminal color
      scheme by default, with a VGA color scheme available as an alternative.
    - Make setupcon explicitly exit 0, so that postinsts don't fail in the
      event that loadkeys can't find a console.
    - Update for new layouts and variants for Montenegro and Serbia, and
      migrate configuration files from the old layouts.
    - Generate a locale locally for translating keyboard names in


## console-setup 1.108ubuntu15

=== debian/rules ===
#!/usr/bin/make -f

SHELL = /bin/bash

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  MAKEFLAGS += -j$(NUMJOBS)
endif

xkbdir = /usr/share/X11/xkb
export xkbdir
pre = debian/preprocessor

manprocessor = sed \
	-e 's|^\([.a-zA-Z][a-zA-Z]*\) /usr/local/etc|\1 /etc|' \
	-e 's|^\([.a-zA-Z][a-zA-Z]*\) /usr/local|\1 /usr|'

# One font per fontset supported by d-i in text console
udeb-fonts = CyrAsia-Fixed16 CyrSlav-TerminusBold16 Greek-VGA16 \
Lat15-TerminusBold16 Lat2-TerminusBold16 Lat38-VGA16 Lat7-TerminusBold16
# These are not properly supported by d-i in text console
# Armenian-Fixed16 CyrKoi-TerminusBold16 Georgian-Fixed16 Hebrew-VGA16	Lao-Fixed16  Thai-Fixed16

# These are Linux-only
udeb-fonts-big = Uni1-VGA16 Uni2-VGA16 Uni3-Fixed16
# These are not properly supported by d-i in text console
# Arabic-VGA16 Ethiopian-Goha16 Vietnamese-Fixed16

# One fontset per charmap
udeb-scm = $(addprefix Fonts/, ARMSCII-8_Armenian.scm			\
CP1251_CyrSlav.scm CP1255_Hebrew.scm GEORGIAN-ACADEMY_Georgian.scm	\
GEORGIAN-PS_Georgian.scm IBM1133_Lao.scm ISO-8859-1_Lat15.scm		\
ISO-8859-2_Lat2.scm ISO-8859-3_Lat38.scm ISO-8859-4_Lat7.scm		\
ISO-8859-4_Lat15.scm ISO-8859-5_CyrSlav.scm ISO-8859-7_Greek.scm	\
ISO-8859-8_Hebrew.scm ISO-8859-9_Lat15.scm ISO-8859-10_Lat15.scm	\
ISO-8859-11_Thai.scm ISO-8859-13_Lat7.scm ISO-8859-14_Lat38.scm		\
ISO-8859-15_Lat15.scm ISO-8859-16_Lat2.scm KOI8-R_CyrKoi.scm		\
KOI8-U_CyrKoi.scm TIS-620_Thai.scm)

udeb-fonts-linux = $(addprefix Fonts/, $(addsuffix .psf.gz, \
			$(udeb-fonts)))
udeb-fonts-freebsd = $(addprefix Fonts/, $(addsuffix .fnt, $(udeb-fonts)))

main_build:
	rm Keyboard/KeyboardNames.pl
	$(MAKE) build-all xkbdir=$(xkbdir)
	touch main_build

debian/kbdnames.gz: main_build
	( cd Keyboard \
	&& ./kbdnames-maker KeyboardNames.pl \
		| grep -v '^C[*]' | grep -v '[*]model[*]' | sort | gzip -9 ) >$@

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: main_build debian/kbdnames.gz

.PHONY : clean
clean:
	dh_testdir
	$(MAKE) maintainer-clean
	-rm -f build main_build
	-rm -f debian/kbdnames.gz
	-rm -f debian/*~
	dh_clean
	cp COPYRIGHT debian/copyright

.PHONY : install
install: install-linux install-freebsd install-main install-bdf2psf install-linux-udeb install-freebsd-udeb install-udeb

.PHONY : install-linux
install-linux: build
	dh_testdir
	dh_testroot
	dh_prep -p console-setup-linux
	$(MAKE) etcdir=debian/console-setup-linux/etc \
		prefix=debian/console-setup-linux/usr install-common-linux

.PHONY : install-freebsd
install-freebsd: build
	dh_testdir
	dh_testroot
	dh_prep -p console-setup-freebsd
	$(MAKE) etcdir=debian/console-setup-freebsd/etc \
		prefix=debian/console-setup-freebsd/usr install-common-freebsd

.PHONY : install-main
install-main: build
	dh_testdir
	dh_testroot
	dh_prep -pkeyboard-configuration
	dh_prep -p console-setup
	dh_prep -p console-setup-mini
	$(MAKE) etcdir=debian/console-setup/etc \
		prefix=debian/console-setup/usr install-common
	$(MAKE) etcdir=debian/console-setup/etc \
		prefix=debian/console-setup/usr install-ckbcomp
	dh_install -pconsole-setup Keyboard/pc105.tree \
		usr/share/console-setup
	dh_installinit -pconsole-setup \
		--no-start --name console-font
ifneq (,$(filter console-setup-linux, $(shell dh_listpackages)))
	dh_installinit -pconsole-setup-linux \
		--no-start --name setvtrgb
	install -m 644 debian/vtrgb debian/console-setup-linux/etc/console-setup/
	install -m 644 debian/vtrgb.vga debian/console-setup-linux/etc/console-setup/
endif
	$(MAKE) etcdir=debian/console-setup-mini/etc \
		prefix=debian/console-setup-mini/usr install-common
	$(MAKE) etcdir=debian/console-setup-mini/etc \
		prefix=debian/console-setup-mini/usr install-ckbcomp-mini
	$(pre) --mini debian/console-setup-mini/bin/setupcon
	$(pre) --mini debian/console-setup-mini/usr/bin/ckbcomp-mini
	ls debian/console-setup*/usr/share/man/*/* \
		| xargs -n 1 $(manprocessor) -i
	install -d debian/keyboard-configuration/usr/share/console-setup/
	mv debian/console-setup/etc/default/keyboard \
		debian/keyboard-configuration/usr/share/console-setup/
	install -d debian/console-setup/usr/share/console-setup/
	mv debian/console-setup/etc/default/console-setup \
		debian/console-setup/usr/share/console-setup/
	rm debian/console-setup-mini/etc/default/keyboard
	rm debian/console-setup-mini/etc/default/console-setup
	dh_movefiles -pkeyboard-configuration --sourcedir=debian/console-setup \
		usr/share/man/man5/keyboard.5
	rm debian/console-setup-mini/usr/share/man/man5/keyboard.5
# For KeyboardNames.pl and kbdnames-maker see #420914
	dh_install -pkeyboard-configuration Keyboard/KeyboardNames.pl \
		usr/share/console-setup/
	dh_install -pkeyboard-configuration Keyboard/kbdnames-maker \
		usr/share/console-setup/
	dh_link -pkeyboard-configuration usr/share/X11/xkb/rules/xorg.lst \
		usr/share/doc/keyboard-configuration/xorg.lst
	# no upstart job for keyboard-setup
	dh_installinit -pkeyboard-configuration \
		--no-start --name console-setup -- start 49 S .
	install -d debian/keyboard-configuration/usr/share/initramfs-tools/hooks \
		debian/keyboard-configuration/usr/share/initramfs-tools/scripts/init-top \
		debian/keyboard-configuration/usr/share/initramfs-tools/scripts/panic
	install -m755 debian/console-setup.initramfs-hook \
		debian/keyboard-configuration/usr/share/initramfs-tools/hooks/console_setup
	install -m755 debian/console-setup.initramfs-top \
		debian/keyboard-configuration/usr/share/initramfs-tools/scripts/init-top/console_setup
	sed -e "/^OPTION=/d" \
		< debian/console-setup.initramfs-top \
		> debian/keyboard-configuration/usr/share/initramfs-tools/scripts/panic/console_setup
	chmod 755 debian/keyboard-configuration/usr/share/initramfs-tools/scripts/panic/console_setup
	install -d debian/keyboard-configuration/usr/share/apport/package-hooks
	install -m644 debian/console-setup.apport \
		debian/keyboard-configuration/usr/share/apport/package-hooks/source_console-setup.py
	dh_install -pkeyboard-configuration console-setup-tty lib/udev
	dh_installudev -pkeyboard-configuration --priority=85


.PHONY : install-bdf2psf
install-bdf2psf: build
	dh_testdir
	dh_testroot
	dh_prep -pbdf2psf
	dh_install -pbdf2psf Fonts/bdf2psf usr/bin/
	dh_install -pbdf2psf Fonts/*.equivalents Fonts/*.set \
		Fonts/fontsets usr/share/bdf2psf
	dh_installman -pbdf2psf man/bdf2psf.1
	dh_installdocs -pbdf2psf debian/README.fontsets

.PHONY : install-linux-udeb
install-linux-udeb: build
	dh_testdir
	dh_testroot
# console-setup-linux-charmaps-udeb
	dh_prep -p console-setup-linux-charmaps-udeb
	$(MAKE) etcdir=debian/console-setup-linux-charmaps-udeb/etc \
		prefix=debian/console-setup-linux-charmaps-udeb/usr \
			install-common-linux
	dh_install -p console-setup-linux-charmaps-udeb \
		Keyboard/charmap_functions.sh usr/share/console-setup/
	rm -r debian/console-setup-linux-charmaps-udeb/usr/share/consolefonts/
# console-setup-linux-fonts-udeb
	dh_prep -p console-setup-linux-fonts-udeb
	dh_install -p console-setup-linux-fonts-udeb $(udeb-fonts-linux) \
		usr/share/consolefonts
	dh_install -p console-setup-linux-fonts-udeb debian/font-switch \
		/usr/share/console-setup

.PHONY : install-freebsd-udeb
install-freebsd-udeb: build
	dh_testdir
	dh_testroot
# console-setup-freebsd-charmaps-udeb
	dh_prep -p console-setup-freebsd-charmaps-udeb
	$(MAKE) etcdir=debian/console-setup-freebsd-charmaps-udeb/etc \
		prefix=debian/console-setup-freebsd-charmaps-udeb/usr \
			install-common-freebsd
	dh_install -p console-setup-freebsd-charmaps-udeb \
		Keyboard/charmap_functions.sh usr/share/console-setup/
	rm -r debian/console-setup-freebsd-charmaps-udeb/usr/share/consoletrans/
	rm -r debian/console-setup-freebsd-charmaps-udeb/usr/share/syscons/
# console-setup-freebsd-fonts-udeb
	dh_prep -p console-setup-freebsd-fonts-udeb
	dh_install -p console-setup-freebsd-fonts-udeb $(udeb-fonts-freebsd) \
		usr/share/syscons/fonts/

## console-setup 1.108ubuntu15.5

=== Fonts/Makefile ===
SHELL = /bin/sh

build : build-linux build-freebsd
build-linux : gzipped_good_psf_fonts build-any
build-freebsd : uuencoded_good_raw_fonts scrnmaps terminfo termcap build-any
build-any:


%.gz : %
	gzip -9 <$< >$@

# All available non-legacy font faces
FACES = Fixed13 Fixed14 Fixed15 Fixed16 \
	Fixed18 Fixed24x12 \
	FixedBold13 FixedBold14 FixedBold15 FixedBold16 \
	FixedBold18 FixedBold24x12  \
	FixedOblique13 \
	Terminus12x6 Terminus14 Terminus16 Terminus22x11 Terminus24x12 \
	Terminus20x10 Terminus28x14 Terminus32x16 \
	TerminusBold12x6 TerminusBold14 TerminusBold16 TerminusBold20x10 \
	TerminusBold22x11 TerminusBold24x12 TerminusBold28x14 \
	TerminusBold32x16 TerminusBoldVGA14 TerminusBoldVGA16 \
	Courier13 Courier14 Courier15 Courier16 \
	CourierBold13 CourierBold14 CourierBold15 \
	Lucid12 Lucid13 Lucid15 Lucid16 Lucid22x12 Lucid29x16 \
	LucidBold11 LucidBold13 LucidBold15 \
	LucidBold16 LucidBold22x12 LucidBold29x16 \
	Goha12 Goha14 Goha16 GohaClassic12 GohaClassic14 GohaClassic16

LEGACY_FACES = VGA8 VGA10 VGA12 VGA14 VGA16 VGA19 VGA28x16 VGA32x16

ALL_FACES = $(FACES) $(LEGACY_FACES)

all-CODESETS = Arabic Armenian CyrAsia CyrKoi CyrSlav Ethiopian Georgian Greek Hebrew Lao Lat15 Lat2 Lat38 Lat7 Thai Uni1 Uni2 Uni3 Vietnamese

Fixed13-BDFS = 8x13-IL2.bdf+8x13.bdf+8x13c.bdf
Fixed14-BDFS = georgian14.bdf+7x14-IL2.bdf+7x14.bdf+7x14c.bdf+h14.bdf+etl14-unicode.bdf
Fixed15-BDFS = 9x15-IL2.bdf+9x15.bdf+9x15c.bdf
Fixed16-BDFS = georgian16.bdf+unifont.bdf+h16.bdf+etl16-unicode.bdf
Fixed18-BDFS = 9x18.bdf
Fixed24x12-BDFS = h24.bdf+etl24-unicode.bdf

FixedBold13-BDFS = 8x13B.bdf+8x13Bc.bdf
FixedBold14-BDFS = h14_b.bdf+7x14B-IL2.bdf+7x14B.bdf+7x14c.bdf
FixedBold15-BDFS = 9x15B-IL2.bdf+9x15B.bdf+9x15Bc.bdf
FixedBold16-BDFS = h16_b.bdf
FixedBold18-BDFS = 9x18B.bdf
FixedBold24x12-BDFS = h24_b.bdf

# We have to complement 8x13O.bdf because it doesn't contain box drawings
FixedOblique13-BDFS = 8x13O.bdf+8x13.bdf

Terminus12x6-BDFS = ter-u12n.bdf
Terminus14-BDFS = ter-u14n.bdf
Terminus16-BDFS = ter-u16n.bdf
Terminus20x10-BDFS = ter-u20n.bdf
Terminus22x11-BDFS = ter-u22n.bdf
Terminus24x12-BDFS = ter-u24n.bdf
Terminus28x14-BDFS = ter-u28n.bdf
Terminus32x16-BDFS = ter-u32n.bdf
TerminusBold12x6-BDFS = ter-u12b.bdf
TerminusBold14-BDFS = ter-u14b.bdf
TerminusBold16-BDFS = ter-u16b.bdf
TerminusBold20x10-BDFS = ter-u20b.bdf
TerminusBold22x11-BDFS = ter-u22b.bdf
TerminusBold24x12-BDFS = ter-u24b.bdf
TerminusBold28x14-BDFS = ter-u28b.bdf
TerminusBold32x16-BDFS = ter-u32b.bdf
TerminusBoldVGA14-BDFS = ter-u14v.bdf
TerminusBoldVGA16-BDFS = ter-u16v.bdf

Courier13-BDFS = 75dpi-courR12-IL2.bdf+75dpi-courR12.bdf+75dpi-courR12c.bdf
Courier14-BDFS = 100dpi-courR10-IL2.bdf+100dpi-courR10.bdf
Courier15-BDFS = 75dpi-courR14-IL2.bdf+75dpi-courR14.bdf+75dpi-courR14c.bdf
Courier16-BDFS = 8x16c.bdf+8x16-IL2.bdf

CourierBold13-BDFS = 75dpi-courB12-IL2.bdf+75dpi-courB12.bdf+75dpi-courB12c.bdf
CourierBold14-BDFS = 100dpi-courB10-IL2.bdf+100dpi-courB10.bdf
CourierBold15-BDFS = 75dpi-courB14-IL2.bdf+75dpi-courB14.bdf+75dpi-courB14c.bdf

Lucid12-BDFS = 100dpi-lutRS08-IL2.bdf+100dpi-lutRS08.bdf
Lucid13-BDFS = 75dpi-lutRS12-IL2.bdf+75dpi-lutRS12.bdf+75dpi-lutRS12c.bdf
Lucid15-BDFS = 75dpi-lutRS14-IL2.bdf+75dpi-lutRS14.bdf+75dpi-lutRS14c.bdf
Lucid16-BDFS = 100dpi-lutRS10-IL2.bdf+100dpi-lutRS10.bdf
Lucid22x12-BDFS = 100dpi-lutRS14-IL2.bdf+100dpi-lutRS14.bdf
Lucid29x16-BDFS = 100dpi-lutRS19.bdf

LucidBold11-BDFS = 100dpi-lutBS08-IL2.bdf+100dpi-lutBS08.bdf
LucidBold13-BDFS = 75dpi-lutBS12-IL2.bdf+75dpi-lutBS12.bdf+75dpi-lutBS12c.bdf
LucidBold15-BDFS = 75dpi-lutBS14-IL2.bdf+75dpi-lutBS14.bdf+75dpi-lutBS14c.bdf
LucidBold16-BDFS = 100dpi-lutBS10-IL2.bdf+100dpi-lutBS10.bdf
LucidBold22x12-BDFS = 100dpi-lutBS14-IL2.bdf+100dpi-lutBS14.bdf
LucidBold29x16-BDFS = 100dpi-lutBS19.bdf

Goha12-BDFS = Goha12.bdf
Goha14-BDFS = Goha14.bdf
Goha16-BDFS = Goha16.bdf

GohaClassic12-BDFS = GohaClassic12.bdf
GohaClassic14-BDFS = GohaClassic14.bdf
GohaClassic16-BDFS = GohaClassic16.bdf

###################################################################

VGA8-CODESETS = Arabic CyrKoi CyrSlav Greek Hebrew Lat15 Lat2 Lat38 Lat7 Uni1 Uni2
VGA10-CODESETS = Lat15 Lat2
VGA12-CODESETS = Lat15 Lat2
VGA14-CODESETS = Arabic CyrKoi CyrSlav Greek Hebrew Lat15 Lat2 Lat38 Lat7 Uni1 Uni2
VGA16-CODESETS = Arabic CyrKoi CyrSlav Greek Hebrew Lat15 Lat2 Lat38 Lat7 Uni1 Uni2
VGA19-CODESETS = Lat15

VGA28x16-CODESETS = $(VGA14-CODESETS)
VGA32x16-CODESETS = $(VGA16-CODESETS)

Arabic-legacy14-BDFS = legacy14i.bdf+legacy14f.bdf+legacy14l.bdf+legacy14b.bdf
Arabic-legacy16-BDFS = u_vga16_fix.bdf+u_vga16.bdf+legacy16c.bdf+legacy16f.bdf+legacy16k.bdf
Arabic-legacy8-BDFS = legacy8f.bdf+legacy8d.bdf+legacy8i.bdf+legacy8b.bdf
CyrKoi-legacy14-BDFS = legacy14b.bdf+legacy14a.bdf+legacy14c.bdf+legacy14g.bdf
CyrKoi-legacy16-BDFS = u_vga16_fix.bdf+u_vga16.bdf+legacy16b.bdf+legacy16a.bdf
CyrKoi-legacy8-BDFS = legacy8b.bdf+legacy8a.bdf
CyrSlav-legacy14-BDFS = legacy14a.bdf+legacy14l.bdf+legacy14c.bdf+legacy14e.bdf+legacy14i.bdf
CyrSlav-legacy16-BDFS = u_vga16_fix.bdf+u_vga16.bdf+legacy16a.bdf+legacy16k.bdf+legacy16c.bdf+legacy16b.bdf
CyrSlav-legacy8-BDFS = legacy8a.bdf+legacy8i.bdf+legacy8b.bdf+legacy8c.bdf+legacy8f.bdf
Greek-legacy14-BDFS = legacy14g.bdf+legacy14l.bdf+legacy14b.bdf+legacy14i.bdf
Greek-legacy16-BDFS = u_vga16_fix.bdf+u_vga16.bdf+legacy16a.bdf+legacy16k.bdf+legacy16c.bdf
Greek-legacy8-BDFS = legacy8a.bdf+legacy8i.bdf+legacy8b.bdf+legacy8f.bdf
Hebrew-legacy14-BDFS = legacy14h.bdf+legacy14l.bdf+legacy14i.bdf+legacy14b.bdf
Hebrew-legacy16-BDFS = u_vga16_fix.bdf+u_vga16.bdf+legacy16g.bdf+legacy16k.bdf+legacy16c.bdf
Hebrew-legacy8-BDFS = legacy8e.bdf+legacy8i.bdf+legacy8f.bdf+legacy8b.bdf
Lat15-legacy10-BDFS = legacy10b.bdf+legacy10a.bdf+legacy10d.bdf
Lat15-legacy12-BDFS = legacy12a.bdf+legacy12d.bdf+legacy12c.bdf
Lat15-legacy14-BDFS = legacy14i.bdf+legacy14l.bdf+legacy14a.bdf+legacy14b.bdf
Lat15-legacy16-BDFS = u_vga16_fix.bdf+u_vga16.bdf+legacy16c.bdf+legacy16k.bdf+legacy16a.bdf
Lat15-legacy19-BDFS = legacy19a.bdf
Lat15-legacy8-BDFS = legacy8a.bdf+legacy8i.bdf+legacy8b.bdf+legacy8f.bdf
Lat2-legacy10-BDFS = legacy10d.bdf+legacy10a.bdf+legacy10b.bdf
Lat2-legacy12-BDFS = legacy12c.bdf+legacy12d.bdf+legacy12a.bdf
Lat2-legacy14-BDFS = legacy14k.bdf+legacy14l.bdf+legacy14i.bdf+legacy14b.bdf
Lat2-legacy16-BDFS = u_vga16_fix.bdf+u_vga16.bdf+legacy16c.bdf+legacy16k.bdf
Lat2-legacy8-BDFS = legacy8f.bdf+legacy8i.bdf+legacy8b.bdf
Lat38-legacy14-BDFS = legacy14e.bdf+legacy14i.bdf+legacy14b.bdf
Lat38-legacy16-BDFS = u_vga16_fix.bdf+u_vga16.bdf+legacy16e.bdf+legacy16h.bdf+legacy16a.bdf
Lat38-legacy8-BDFS = legacy8c.bdf+legacy8f.bdf+legacy8b.bdf
Lat7-legacy14-BDFS = legacy14l.bdf+legacy14e.bdf+legacy14i.bdf+legacy14b.bdf
Lat7-legacy16-BDFS = u_vga16_fix.bdf+u_vga16.bdf+legacy16e.bdf+legacy16k.bdf+legacy16c.bdf
Lat7-legacy8-BDFS = legacy8i.bdf+legacy8c.bdf+legacy8f.bdf+legacy8b.bdf
Uni1-legacy14-BDFS = legacy14a.bdf+legacy14e.bdf+legacy14f.bdf+legacy14l.bdf+legacy14h.bdf+legacy14c.bdf
Uni1-legacy16-BDFS = u_vga16_fix.bdf+u_vga16.bdf+legacy16e.bdf+legacy16a.bdf+legacy16f.bdf+legacy16g.bdf+legacy16k.bdf+legacy16b.bdf
Uni1-legacy8-BDFS = legacy8a.bdf+legacy8c.bdf+legacy8d.bdf+legacy8i.bdf+legacy8e.bdf+legacy8b.bdf
Uni2-legacy14-BDFS = legacy14e.bdf+legacy14a.bdf+legacy14g.bdf+legacy14l.bdf+legacy14c.bdf+legacy14i.bdf
Uni2-legacy16-BDFS = u_vga16_fix.bdf+u_vga16.bdf+legacy16a.bdf+legacy16e.bdf+legacy16h.bdf+legacy16k.bdf+legacy16b.bdf
Uni2-legacy8-BDFS = legacy8a.bdf+legacy8c.bdf+legacy8i.bdf+legacy8b.bdf+legacy8f.bdf

adddouble = $(subst .bdf,-double.bdf, $(1))

Arabic-legacy32x16-BDFS = $(call adddouble, $(Arabic-legacy16-BDFS))
Armenian-legacy32x16-BDFS = $(call adddouble, $(Armenian-legacy16-BDFS))
CyrAsia-legacy32x16-BDFS = $(call adddouble, $(CyrAsia-legacy16-BDFS))
CyrKoi-legacy32x16-BDFS = $(call adddouble, $(CyrKoi-legacy16-BDFS))
CyrSlav-legacy32x16-BDFS = $(call adddouble, $(CyrSlav-legacy16-BDFS))
Ethiopian-legacy32x16-BDFS = $(call adddouble, $(Ethiopian-legacy16-BDFS))
Georgian-legacy32x16-BDFS = $(call adddouble, $(Georgian-legacy16-BDFS))
Greek-legacy32x16-BDFS = $(call adddouble, $(Greek-legacy16-BDFS))
Hebrew-legacy32x16-BDFS = $(call adddouble, $(Hebrew-legacy16-BDFS))
Lao-legacy32x16-BDFS = $(call adddouble, $(Lao-legacy16-BDFS))
Lat15-legacy32x16-BDFS = $(call adddouble, $(Lat15-legacy16-BDFS))
Lat2-legacy32x16-BDFS = $(call adddouble, $(Lat2-legacy16-BDFS))
Lat38-legacy32x16-BDFS = $(call adddouble, $(Lat38-legacy16-BDFS))
Lat7-legacy32x16-BDFS = $(call adddouble, $(Lat7-legacy16-BDFS))
Thai-legacy32x16-BDFS = $(call adddouble, $(Thai-legacy16-BDFS))
Uni1-legacy32x16-BDFS = $(call adddouble, $(Uni1-legacy16-BDFS))
Uni2-legacy32x16-BDFS = $(call adddouble, $(Uni2-legacy16-BDFS))
Uni3-legacy32x16-BDFS = $(call adddouble, $(Uni3-legacy16-BDFS))
Vietnamese-legacy32x16-BDFS = $(call adddouble, $(Vietnamese-legacy16-BDFS))

Arabic-legacy28x16-BDFS = $(call adddouble, $(Arabic-legacy14-BDFS))
Armenian-legacy28x16-BDFS = $(call adddouble, $(Armenian-legacy14-BDFS))
CyrAsia-legacy28x16-BDFS = $(call adddouble, $(CyrAsia-legacy14-BDFS))
CyrKoi-legacy28x16-BDFS = $(call adddouble, $(CyrKoi-legacy14-BDFS))
CyrSlav-legacy28x16-BDFS = $(call adddouble, $(CyrSlav-legacy14-BDFS))
Ethiopian-legacy28x16-BDFS = $(call adddouble, $(Ethiopian-legacy14-BDFS))
Georgian-legacy28x16-BDFS = $(call adddouble, $(Georgian-legacy14-BDFS))
Greek-legacy28x16-BDFS = $(call adddouble, $(Greek-legacy14-BDFS))
Hebrew-legacy28x16-BDFS = $(call adddouble, $(Hebrew-legacy14-BDFS))
Lao-legacy28x16-BDFS = $(call adddouble, $(Lao-legacy14-BDFS))
Lat15-legacy28x16-BDFS = $(call adddouble, $(Lat15-legacy14-BDFS))
Lat2-legacy28x16-BDFS = $(call adddouble, $(Lat2-legacy14-BDFS))
Lat38-legacy28x16-BDFS = $(call adddouble, $(Lat38-legacy14-BDFS))
Lat7-legacy28x16-BDFS = $(call adddouble, $(Lat7-legacy14-BDFS))
Thai-legacy28x16-BDFS = $(call adddouble, $(Thai-legacy14-BDFS))
Uni1-legacy28x16-BDFS = $(call adddouble, $(Uni1-legacy14-BDFS))
Uni2-legacy28x16-BDFS = $(call adddouble, $(Uni2-legacy14-BDFS))
Uni3-legacy28x16-BDFS = $(call adddouble, $(Uni3-legacy14-BDFS))
Vietnamese-legacy28x16-BDFS = $(call adddouble, $(Vietnamese-legacy14-BDFS))

###################################################################

# $(call add_bdf, xxx+yyy+zzz) = bdf/xxx.bdf+bdf/yyy.bdf+bdf/zzz.bdf
empty =
space = $(empty) $(empty)
add_bdf = $(patsubst +%, %, \
		$(subst $(space),+, \
			$(addprefix bdf/,$(subst +, , $(1)))))

ALL_PSF_FONTS = $(sort $(foreach face, $(ALL_FACES), \
			$(addsuffix -$(face).psf, $(all-CODESETS))))

GOOD_PSF_FONTS = $(filter \
		%-Fixed13.psf %-Fixed14.psf %-Fixed15.psf \
		%-Fixed16.psf %-Fixed18.psf \
		%-Terminus12x6.psf %-Terminus14.psf %-Terminus16.psf	\
		%-Terminus22x11.psf %-Terminus24x12.psf %-Terminus20x10.psf \
		%-Terminus28x14.psf %-Terminus32x16.psf			\
		%-TerminusBold14.psf %-TerminusBold16.psf		\
		%-TerminusBold20x10.psf %-TerminusBold22x11.psf         \
		%-TerminusBold24x12.psf %-TerminusBold28x14.psf         \
		%-TerminusBold32x16.psf %-TerminusBoldVGA14.psf         \
		%-TerminusBoldVGA16.psf                                 \
		%-Goha12.psf %-Goha14.psf %-Goha16.psf \
		%-GohaClassic12.psf %-GohaClassic14.psf %-GohaClassic16.psf \
		%-VGA8.psf %-VGA14.psf %-VGA16.psf \
		%-VGA28x16.psf %-VGA32x16.psf, \
	$(PSF_FONTS))

GOOD_8_FONTS = $(filter \
		%-Fixed14.psf %-Fixed16.psf %-Terminus14.psf		\
                %-Terminus16.psf %-TerminusBold14.psf			\
                %-TerminusBold16.psf %-TerminusBoldVGA14.psf		\
                %-TerminusBoldVGA16.psf %-Goha14.psf %-Goha16.psf	\
                %-GohaClassic14.psf %-GohaClassic16.psf %-VGA8.psf	\
                %-VGA14.psf %-VGA16.psf, \
	$(PSF_FONTS))

GZIPPED_GOOD_PSF_FONTS=$(addsuffix .gz, $(GOOD_PSF_FONTS))
GZIPPED_PSF_FONTS=$(addsuffix .gz, $(PSF_FONTS))
GZIPPED_ALL_PSF_FONTS=$(addsuffix .gz, $(ALL_PSF_FONTS))
UUENCODED_GOOD_RAW_FONTS=$(subst .raw,.fnt,$(GOOD_RAW_FONTS))
UUENCODED_RAW_FONTS=$(subst .raw,.fnt,$(RAW_FONTS))

=== debian/changelog ===
console-setup (1.108ubuntu15.5) xenial; urgency=medium

  * setupcon: use /run for tempfiles (and dump the various unnecessary
    fallback paths), since /run is always mountable rw at least as early as
    /tmp is and is guaranteed to be safe from tmpcleaners at boot.  Only keep
    /tmp as a fallback in case we have access to write to /tmp and to a
    console, but not to /run.  LP: #1824227.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 10 Apr 2019 13:16:29 -0700

console-setup (1.108ubuntu15.4) xenial; urgency=medium

   * Drop dependency from console-setup to initramfs-tools |
     linux-initramfs-tool; this was a versioned dependency used for upgrades,
     now long obsolete.  LP: #1721626.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 05 Oct 2017 12:36:07 -0700

console-setup (1.108ubuntu15.3) xenial; urgency=medium

  * debian/console-setup-linux.setvtrgb.service: add condition to only
    execute when /dev/tty0 exists. This is the same condition as used by
    getty@.service unit to prevent attempting setting up VT when none are
    present. This is a common case on serial only architectures and
    virtual machines. Resolves degraded boots on s390x/ppc64el. LP:
    #1660598

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 31 Jan 2017 11:47:04 +0000

console-setup (1.108ubuntu15.2) xenial; urgency=medium

  * Reorganize and correct console-setup, keyboard-setup and setvtrgb along the
    lines of the logic in 16.04: (LP: #1591622, #1593156)
    - debian/console-setup-linux.setvtrgb.service: don't require being run
      before system-getty.slice.
    - debian/keyboard-configuration.links: both console-setup and
      keyboard-setup systemd units should be installed to sysinit.target rather
      than multi-user.
    - debian/keyboard-configuration.keyboard-setup.service: move loadkeys call
      at local-fs-pre.target and in this more suitable location.
    - debian/keyboard-configuration.console-setup.service: move to running
      after the screen, keyboard, and filesystems are ready and set up all of
      what may still need to be done to configure the virtual consoles
      appropriately: set a final keymap, font, etc. 

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 16 Jun 2016 14:41:19 +0300

console-setup (1.108ubuntu15.1) xenial; urgency=medium

  * debian/console-setup-linux.setvtrgb.service: port the upstart job for
    applying our preferred color settings to a systemd unit so it gets run.
    This will fix debconf prompts on console being extra ugly. (LP: #1576893)
  * debian/console-setup-linux.links: enable our setvtrgb service in sysinit.
  * debian/keyboard-configuration.links: fix link source for console-setup
    service. (LP: #1572697)
  * debian/control: add dh-systemd to Build-Depends.
  * debian/keyboard-configuration.keyboard-setup.service: also enable
    keyboard-setup as a systemd service so we can have proper keymaps enabled
    in VTs. (LP: #1579267)
  * debian/keyboard-configuration.links: enable keyboard-setup service.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Fri, 29 Apr 2016 14:15:07 -0400

console-setup (1.108ubuntu15) xenial; urgency=medium

  * Properly handle settings CODESET and FONSIZE when they equals 'guess' or are unset.
    - console-setup-tty, debian/console-setup.initramfs-hook,
      debian/console-setup.initramfs-top
    (LP: #1565542) 

 -- Evgeniy Yanyuk <eugenenuke@gmail.com>  Tue, 19 Apr 2016 15:22:17 -0400

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: console-setup
 Section: utils
 Priority: optional
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Anton Zinoviev <zinoviev@debian.org>, Christian Perrier <bubulle@debian.org>
-Build-Depends-Indep: xkb-data (>= 1.6), locales-all, sharutils
-Build-Depends: perl, debhelper (>= 9), po-debconf, libxml-parser-perl, bdfresize, liblocale-gettext-perl
+Build-Depends-Indep: xkb-data (>= 1.6), xkb-data-i18n, keymapper (>= 0.5.3-7), sharutils, locales
+Build-Depends: perl, debhelper (>= 9), po-debconf, libxml-parser-perl, bdfresize, liblocale-gettext-perl, dh-systemd
 Standards-Version: 3.9.1
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=d-i/console-setup.git
-Vcs-Git: git://anonscm.debian.org/d-i/console-setup.git
+XS-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=d-i/console-setup.git
+XS-Debian-Vcs-Git: git://anonscm.debian.org/d-i/console-setup.git
+Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/console-setup/ubuntu
 
 Package: keyboard-configuration
 Section: utils
 Architecture: all
-Depends: ${misc:Depends}, liblocale-gettext-perl, initscripts
-Pre-Depends: debconf (>= 1.5.34)
+Depends: debconf (>= 1.5.34), ${misc:Depends}, liblocale-gettext-perl, initscripts
 Breaks: console-setup (<< 1.71), console-setup-mini (<< 1.47)
 Replaces: console-setup (<< 1.47), console-setup-mini (<< 1.47)
 Description: system-wide keyboard preferences
@@ -25,8 +26,7 @@
 Package: console-setup
 Section: utils
 Architecture: all
-Pre-Depends: debconf (>= 1.5.34)
-Depends: console-setup-linux | console-setup-freebsd, xkb-data (>= 0.9), keyboard-configuration (= ${source:Version}), ${misc:Depends}
+Depends: debconf (>= 1.5.34), console-setup-linux, xkb-data (>= 0.9), keyboard-configuration (= ${source:Version}), ${misc:Depends}
 Suggests: lsb-base (>= 3.0-6), locales
 Conflicts: console-setup-mini
 Breaks: lsb-core (<< 2.0-6), lsb (<< 2.0-6), lsb-base (<< 3.0-6)
@@ -48,7 +48,7 @@
 Priority: extra
 Architecture: all
 Recommends: kbd | console-tools
-Depends: console-setup-linux | console-setup-freebsd, debconf (>= 0.5) | debconf-2.0, keyboard-configuration (= ${source:Version}), ${misc:Depends}
+Depends: console-setup-linux, debconf (>= 0.5) | debconf-2.0, keyboard-configuration (= ${source:Version}), ${misc:Depends}
 Suggests: lsb-base (>= 3.0-6)
 Conflicts: console-setup
 Breaks: lsb-core (<< 2.0-6), lsb (<< 2.0-6), lsb-base (<< 3.0-6)
@@ -67,7 +67,7 @@
 Section: utils
 Priority: optional
 Architecture: all
-Depends: kbd (>= 0.99-12) | console-tools (>= 1:0.2.3-16), keyboard-configuration (= ${source:Version}), ${misc:Depends}
+Depends: kbd (>= 1.15-1ubuntu3), keyboard-configuration (= ${source:Version}), ${misc:Depends}
 Suggests: console-setup
 Breaks: console-terminus, console-cyrillic (<= 0.9-11), console-setup (<< 1.71)
 Replaces: console-terminus, console-setup (<< 1.71)
@@ -75,17 +75,6 @@
 Description: Linux specific part of console-setup
  This package includes fonts in psf format and definitions of various
  8-bit charmaps.
-
-Package: console-setup-freebsd
-Section: utils
-Priority: optional
-Architecture: all
-Depends: vidcontrol, kbdcontrol, keyboard-configuration (= ${source:Version}), ${misc:Depends}
-Suggests: console-setup
-Breaks: console-setup (<< 1.71)
-Replaces: console-setup (<< 1.71)
-Description: FreeBSD specific part of console-setup
- This package includes raw, uuencoded fonts and various screen maps.
 
 Package: bdf2psf
 Section: utils
@@ -113,7 +102,7 @@
 Package: console-setup-udeb
 Section: debian-installer
 Priority: extra
-Depends: archdetect, cdebconf-udeb, kbd-udeb | kbdcontrol-udeb | hurd-udeb, ${misc:Depends}
+Depends: archdetect, cdebconf-udeb, kbd-udeb | kbdcontrol-udeb | hurd-udeb, cdebconf-newt-detect-keys, ${misc:Depends}
 Provides: keyboard-setup
 Architecture: all
 Description: Configure the keyboard
